org.apache.lucene.luke.models.search

## Class SimilarityConfig

- java.lang.Object
- - org.apache.lucene.luke.models.search.SimilarityConfig

-     public final class SimilarityConfig
      extends Object

  Configurations for Similarity.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SimilarityConfig.Builder` Builder for `SimilarityConfig`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getB()`
    `float` | `getK1()`
    `boolean` | `isDiscountOverlaps()`
    `boolean` | `isUseClassicSimilarity()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### isUseClassicSimilarity

          public boolean isUseClassicSimilarity()

    - #### getK1

          public float getK1()

    - #### getB

          public float getB()

    - #### isDiscountOverlaps

          public boolean isDiscountOverlaps()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.